Retrieve an email's archived content
GET
/emails/{id}/body
const url = 'https://api.duta.indra.sh/v1/emails/example/body';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.duta.indra.sh/v1/emails/example/body \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “ Responses ”Success
Media typeapplication/json
object
archived
required
False when the content was not kept
boolean
html
required
string | null
text
required
string | null
headers
required
object | null
attachments
required
Array
Examplegenerated
{ "archived": true, "html": "example", "text": "example", "headers": "example", "attachments": [ "example" ]}Missing or invalid API key
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}Not found in this account
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}The request was refused. code says why
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}Rate limited. Retry after the Retry-After header
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}